%define module_name Syntax-Operator-Equ
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Syntax/Keyword/Match.pm) perl(Syntax/Operator/In.pm) perl(Test2/V0.pm) perl(XS/Parse/Infix.pm) perl(XS/Parse/Infix/Builder.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: equality operators that distinguish C<undef>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides infix operators that implement equality tests of strings
or numbers similar to perl's `eq' and `==' operators, except that they
consider `undef' to be a distinct value, separate from the empty string or
the number zero.

These operators do not warn when either or both operands are `undef'. They
yield true if both operands are `undef', false if exactly one operand is, or
otherwise behave the same as the regular string or number equality tests if
both operands are defined.

Current versions of perl do not directly support custom infix operators. The
documentation of the XS::Parse::Infix manpage describes the situation, with reference
to a branch experimenting with this new feature. This module is therefore
*almost* entirely useless on standard perl builds. While the regular parser
does not support custom infix operators, they are supported via
`XS::Parse::Infix' and hence the XS::Parse::Keyword manpage, and so custom keywords
which attempt to parse operator syntax may be able to use it. One such module
is the Syntax::Keyword::Match manpage; see the SYNOPSIS example given above.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Wed Dec 28 2022 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Thu Oct 27 2022 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- updated by package builder

* Mon Jun 27 2022 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Sat Sep 18 2021 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- updated by package builder

* Mon Sep 06 2021 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

